classification
Title: Errors in printing exceptions raised in a thread
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.5, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: pitrou, python-dev, serhiy.storchaka, terry.reedy
Priority: normal Keywords: patch

Created on 2014-09-16 08:37 by serhiy.storchaka, last changed 2014-10-04 13:31 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
threading_print_exception.patch serhiy.storchaka, 2014-09-16 08:37 review
Messages (4)
msg226944 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-09-16 08:37
Proposed patch fixes some bugs in printing exceptions in the threading module.

1. Fixed names of private variables in initialization. This caused unhandled AttributeError. The regression was introduced in changeset e71c3223810f. This part of the patch shouldn't be applied to 2.7.

2. Handled the case when sys.stderr is None. Perhaps this caused a crash when Python program run with pythonw.exe.

3. Added missed test.
msg227227 - (view) Author: Roundup Robot (python-dev) Date: 2014-09-21 19:30
New changeset 4baa474b4f31 by Serhiy Storchaka in branch '2.7':
Issue #22423: Unhandled exception in thread no longer causes unhandled
https://hg.python.org/cpython/rev/4baa474b4f31

New changeset 176579df4edd by Serhiy Storchaka in branch '3.4':
Issue #22423: Unhandled exception in thread no longer causes unhandled
https://hg.python.org/cpython/rev/176579df4edd

New changeset 644b677c2ae5 by Serhiy Storchaka in branch 'default':
Issue #22423: Unhandled exception in thread no longer causes unhandled
https://hg.python.org/cpython/rev/644b677c2ae5
msg227229 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-09-21 19:51
Thank you Senthil for your review. Committed with you suggestion.
msg227230 - (view) Author: Roundup Robot (python-dev) Date: 2014-09-21 19:51
New changeset c925b436467a by Serhiy Storchaka in branch '2.7':
Issue #22423: Fixed debugging output of the GROUPREF_EXISTS opcode in the re
https://hg.python.org/cpython/rev/c925b436467a

New changeset e99a1df8db36 by Serhiy Storchaka in branch '3.4':
Issue #22423: Fixed debugging output of the GROUPREF_EXISTS opcode in the re
https://hg.python.org/cpython/rev/e99a1df8db36

New changeset fe287268e97b by Serhiy Storchaka in branch 'default':
Issue #22423: Fixed debugging output of the GROUPREF_EXISTS opcode in the re
https://hg.python.org/cpython/rev/fe287268e97b
History
Date User Action Args
2014-10-04 13:31:52serhiy.storchakasetstatus: open -> closed
assignee: serhiy.storchaka
resolution: fixed
stage: patch review -> resolved
2014-09-21 19:51:59python-devsetmessages: + msg227230
2014-09-21 19:51:05serhiy.storchakasetmessages: + msg227229
2014-09-21 19:30:45python-devsetnosy: + python-dev
messages: + msg227227
2014-09-16 08:37:10serhiy.storchakacreate